include	clib.inc
include	dos.inc

PPROC	wgetwrdate, path:DPTR
	push	di
	MPUSH	ds
	MLDS	dx,path
	stc
	mov	ax,7143h
	mov	bl,4
	int	21h
	MPOP	ds
	jc	wgetwrdate_error
	mov	ax,cx
	mov	dx,di
    wgetwrdate_toend:
	pop	di
	ret
    wgetwrdate_error:
	call	@dosmaper
	mov	ax,-1
	mov	dx,ax
	jmp	wgetwrdate_toend
PEND	wgetwrdate

	END
